WinCrypt.CERT_STRONG_SIGN_PARA.DUMMYUNION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CERT_STRONG_SIGN_PARA, class: DUMMYUNION

Package com.sun.jna.platform.win32

# Class WinCrypt.CERT_STRONG_SIGN_PARA.DUMMYUNION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.WinCrypt.CERT_STRONG_SIGN_PARA.DUMMYUNION

Enclosing class:
  WinCrypt.CERT_STRONG_SIGN_PARA

public class WinCrypt.CERT_STRONG_SIGN_PARA.DUMMYUNION extends Union

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) WinCrypt.CERT_STRONG_SIGN_SERIALIZED_INFO.ByReference`
  `pSerializedInfo`
  `(package private) WTypes.LPSTR`
  `pszOID`
  `(package private) Pointer`
  `pvInfo`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DUMMYUNION()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pvInfo

    Pointer pvInfo

  - ### pSerializedInfo

    WinCrypt.CERT_STRONG_SIGN_SERIALIZED_INFO.ByReference pSerializedInfo

  - ### pszOID

    WTypes.LPSTR pszOID

- ## Constructor Details

  - ### DUMMYUNION

    public DUMMYUNION()